Create Vsphere Provider

Create Vsphere Provider
Register a new vSphere provider connection

Registers a new vSphere (vCenter) provider definition with the installer.

Workflow Chain:

  1. A registered provider ID is required before you can deploy any new platforms via POST /sspi/platforms.
  2. Provide the vCenter URL, credentials, and compute resource details in the request body.
  3. The response returns the newly generated provider-id upon success.
Request
URI
POST
https://{api_host}/sspi/providers
COPY
Request Body

The credentials and connection details for the target vCenter provider.

VsphereProviderDefinition of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineVsphereProviderDefinition1
{
    "server": "vsphere-server-fqdn.example",
    "user": "[email protected]",
    "password": "PasswordExample!123",
    "certificate": "-----BEGIN CERTIFICATE-----\nMI... (certificate data omitted) ...\n-----END CERTIFICATE-----"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VsphereProviderDefinition of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineVsphereProviderDefinition1
{
    "id": "434348d8-681e-4809-8dc1-427127d2bee7",
    "instance_id": "1",
    "server": "vsphere-server-fqdn.example",
    "user": "[email protected]",
    "password": "******",
    "certificate": "",
    "state": "{\"lastResetTime\":\"some-date-time\"}"
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

An error occurred while checking the Platform Installer service.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sspi/providers